perl-Dist-Zilla-Plugin-MetaProvides-2.002004-alt1.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-MetaProvides - Generating and Populating 'provides' in META.yml

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package name perl-Dist-Zilla-Plugin-MetaProvides
Package version 2.002004
Package release alt1
Package architecture noarch
Package type rpm
Installed size 33.06 KB
Download size 33.06 KB
Official Mirror ftp.altlinux.org
Perl module Dist::Zilla::Plugin::MetaProvides contains a small
bundle of plugins for various ways of populating the META.yml
that is built with your distribution.
The initial reason for this is due to stuff that uses
MooseX::Declare style class definitions not being parseable by
many tools upstream, so this is here to cover this problem by
defining it in the metadata.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-MetaProvides - - -

Requires

Name Value
/usr/share/perl5 -
perl(Dist/Zilla/Role/MetaProvider.pm) -
perl(Hash/Merge/Simple.pm) -
perl(Moose.pm) -
perl(Moose/Role.pm) -
perl(MooseX/Types.pm) -
perl(MooseX/Types/Moose.pm) -
perl(namespace/autoclean.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dist/Zilla/MetaProvides/ProvideRecord.pm) = 2.002.004
perl(Dist/Zilla/MetaProvides/Types.pm) = 2.002.004
perl(Dist/Zilla/Plugin/MetaProvides.pm) = 2.002.004
perl(Dist/Zilla/Role/MetaProvider/Provider.pm) = 2.002.004
perl-Dist-Zilla-Plugin-MetaProvides = 2.002004-alt1

Download

Type URL
Binary Package perl-Dist-Zilla-Plugin-MetaProvides-2.002004-alt1.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-MetaProvides-2.002004-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dist-Zilla-Plugin-MetaProvides rpm package:
    # sudo apt-get install perl-Dist-Zilla-Plugin-MetaProvides

Files

Path
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaProvides-2.002004/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-MetaProvides-2.002004/README
/usr/share/perl5/Dist/Zilla/MetaProvides/ProvideRecord.pm
/usr/share/perl5/Dist/Zilla/MetaProvides/Types.pm
/usr/share/perl5/Dist/Zilla/Plugin/MetaProvides.pm
/usr/share/perl5/Dist/Zilla/Role/MetaProvider/Provider.pm

Changelog

2017-03-19 - Nikolay A. Fetisov <naf@altlinux.org> 2.002004-alt1
- New version
2016-07-30 - Nikolay A. Fetisov <naf@altlinux.ru> 2.002003-alt1
- New version
2016-02-06 - Nikolay A. Fetisov <naf@altlinux.ru> 2.001011-alt1
- New version
2016-01-10 - Nikolay A. Fetisov <naf@altlinux.ru> 2.001002-alt2
- Bump release to override package from autoimports/Sisyphus repository
2015-12-20 - Nikolay A. Fetisov <naf@altlinux.ru> 2.001002-alt1
- Initial build for ALT Linux Sisyphus

See Also

Package Description
perl-Dist-Zilla-Plugin-MetaProvides-Package-2.004003-alt1.noarch.rpm Extract namespaces/version from traditional packages for provides
perl-Dist-Zilla-Plugin-OSPrereqs-0.011-alt1.noarch.rpm List prereqs conditional on operating system
perl-Dist-Zilla-Plugin-OurPkgVersion-0.12-alt1.noarch.rpm Dist::Zilla plugin for package version management
perl-Dist-Zilla-Plugin-PodWeaver-4.008-alt2.noarch.rpm weave Pod together from configuration and Dist::Zilla
perl-Dist-Zilla-Plugin-PromptIfStale-0.055-alt1.noarch.rpm Dist::Zilla module to check at build/release time
perl-Dist-Zilla-Plugin-TaskWeaver-0.101628-alt2.noarch.rpm a PodWeaver plugin used to build Task distributions
perl-Dist-Zilla-Plugin-Test-CheckBreaks-0.019-alt1.noarch.rpm Generate a test that shows what modules you are breaking
perl-Dist-Zilla-Plugin-Test-MinimumVersion-2.000008-alt1.noarch.rpm Release tests for minimum required versions
perl-Dist-Zilla-Plugin-Test-Perl-Critic-3.001-alt1.noarch.rpm Dist::Zilla tests to check code against best practices
perl-Dist-Zilla-Plugin-Test-ReportPrereqs-0.027-alt1.noarch.rpm Report on prerequisite versions during automated testing
perl-Dist-Zilla-PluginBundle-RJBS-5.010-alt2.noarch.rpm BeLike::RJBS when you build your dists
perl-Dist-Zilla-Role-Bootstrap-1.001004-alt1.noarch.rpm Dist::Zilla module with shared logic for bootstrap things
perl-Dist-Zilla-Role-DynamicConfig-1.002-alt4.noarch.rpm Dist::Zilla role that accepts a dynamic configuration
perl-Dist-Zilla-Role-ModuleMetadata-0.006-alt1.noarch.rpm a role for plugins that use Module::Metadata
perl-Dist-Zilla-Role-RegisterStash-0.003-alt2.noarch.rpm Dist::Zilla plugin that can register stashes
Advertisement
Advertisement